I have been using this plugin, Oldest2Newest, and ran into a problem using it on any WordPress version higher than 2.3. I made one quick tweak to the plugin code, and now it is working just like it should. So take it with a grain of salt and if you have problems, leave me a note. I will see if I can get it tuned.

Oldest2Newest 1.2

Edit: Tested it for WordPress 2.6. Works great.